Subject: bug#62224: 30.0.50: Emacs don't, start sends an erroneous error

From: Andreas Röhler <[email-masked]>
Date: Sat, 18 Mar 2023 09:10:18 +0100

Assume it's just lean-syntax in the case given.

IMO Emacs should not care for stuff inside documentation strings.

Am 16.03.23 um 21:31 schrieb Jim Porter:
> On 3/16/2023 1:07 PM, Eli Zaretskii wrote:
>>> Date: Thu, 16 Mar 2023 11:45:40 -0700
>>> From: Jim Porter <[email-masked]>
>>>
>>> That said, I think *technically* the manual says that "\x" is allowed:
>>>
>>>> You can use any number of hex digits, so you can represent any
>>>> character code in this way.
>>>
>>> Zero is a number, after all. :) Maybe the manual needs an update to be
>>> more-precise here?
>>
>> I'd say that'd be a pedantic interpretation of the text, but I've
>> reworded it to avoid such misinterpretation anyway.
>
> Oh, it's very pedantic, I agree. I'm not sure anyone would have 
> misinterpreted that text in practice, but I think this makes it 100% 
> clear what syntax is acceptable. Thanks for the fix.